/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "../display/primitive.h"
#include "../display/font.h"

/** Representation of a Label UI Element */
typedef struct {
  font_t *font;
  float fontSize;
  float maxWidth;
  fonttextinfo_t info;
  primitive_t primitive;
} label_t;